Bug 795566 - Review Request: woden - Web Service Description Language (WSDL) validating parser
Review Request: woden - Web Service Description Language (WSDL) validating pa...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-02-20 17:39 EST by Andy Grimm
Modified: 2012-04-11 23:22 EDT (History)
4 users (show)

See Also:
Fixed In Version: woden-1.0-0.1.M9.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-04-11 23:22:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgoldman: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Andy Grimm 2012-02-20 17:39:42 EST
Name        : woden
Version     : 1.0M9
License     : ASL 2.0
URL         : http://ws.apache.org/woden/
Summary     : Web Service Description Language (WSDL) validating parser
Description :
The Woden project is a sub-project of the Apache Web Services Project
to develop a Java class library for reading, manipulating, creating
and writing WSDL documents, initially to support WSDL 2.0 but with the
longer term aim of supporting past, present and future versions of WSDL.


Comment 1 Alexander Kurtakov 2012-02-21 02:50:49 EST
When shipping prerelease the Version should be the actual version (1.0 in your case) and Release should be in the format 0.X.m9 See https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages for details.
Comment 3 Marek Goldmann 2012-03-12 10:19:17 EDT
I'll take it. I appreciate your time in looking at: https://bugzilla.redhat.com/show_bug.cgi?id=730232

Comment 4 Marek Goldmann 2012-03-12 11:22:33 EDT
Package Review

- = N/A
x = Check
! = Problem
? = Not evaluated

[x]  Rpmlint output:

$ rpmlint SPECS/woden.spec 
SPECS/woden.spec: W: invalid-url Source0: woden-1.0M9.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.
$ rpmlint SRPMS/woden-1.0-0.1.M9.fc17.src.rpm 
woden.src: I: enchant-dictionary-not-found en_US
woden.src: W: invalid-url Source0: woden-1.0M9.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
$ rpmlint RPMS/noarch/woden-1.0-0.1.M9.fc17.noarch.rpm 
woden.noarch: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL 2.0
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : c9bdc5512cc99d1c2f5ea35ef9708cc7
MD5SUM upstream package: 309e3662521d1347a2eded48bb3588ea

SVN export, OK.

[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building

There is one jar, but it's just for testing purposes not containing any classes.

[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:


=== Issues ===

1. Apidocs copy command is incorrect (good ol' known issue)

*** APPROVED ***

At the import time please change the copying of apidocs by adding an asterisk at the end.
Comment 5 Andy Grimm 2012-03-12 11:34:09 EDT
New Package SCM Request
Package Name: woden
Short Description: Web Service Description Language (WSDL) validating parser
Owners: arg
Branches: f17
Comment 6 Jon Ciesla 2012-03-12 11:46:29 EDT
Git done (by process-git-requests).

Marek, please take ownership of review BZs.  Thanks!
Comment 7 Marek Goldmann 2012-03-12 11:54:02 EDT
Uh, not sure how I missed it, sorry.
Comment 8 Fedora Update System 2012-03-20 10:40:02 EDT
woden-1.0-0.1.M9.fc17 has been submitted as an update for Fedora 17.
Comment 9 Fedora Update System 2012-03-21 14:19:49 EDT
woden-1.0-0.1.M9.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-04-11 23:22:48 EDT
woden-1.0-0.1.M9.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.